| Flutter Linux Embedder |

Functions
fl_opengl_manager.h File Reference
`#include <glib-object.h>`

Go to the source code of this file.

## Functions
G_BEGIN_DECLS | G_DECLARE_FINAL_TYPE (FlOpenGLManager, fl_opengl_manager, FL, OPENGL_MANAGER, GObject) FlOpenGLManager *fl_opengl_manager_new()
gboolean | fl_opengl_manager_make_current (FlOpenGLManager *manager)
gboolean | fl_opengl_manager_make_resource_current (FlOpenGLManager *manager)
gboolean | fl_opengl_manager_clear_current (FlOpenGLManager *manager)

## Function Documentation

## ◆ fl_opengl_manager_clear_current()

gboolean fl_opengl_manager_clear_current | ( | FlOpenGLManager * | manager | ) |

fl_opengl_manager_clear_current: @manager: an #FlOpenGLManager.

Clears the current rendering context.

Returns: TRUE if the context cleared.

Definition at line 86 of file fl_opengl_manager.cc.

86 {
87 return eglMakeCurrent(self->display, EGL_NO_SURFACE, EGL_NO_SURFACE,
88 EGL_NO_CONTEXT) == EGL_TRUE;
89 }

Referenced by fl_engine_gl_clear_current(), and realize_cb().

## ◆ fl_opengl_manager_make_current()

gboolean fl_opengl_manager_make_current | ( | FlOpenGLManager * | manager | ) |

fl_opengl_manager_make_current: @manager: an #FlOpenGLManager.

Makes the rendering context current.

Returns: TRUE if the context made current.

Definition at line 76 of file fl_opengl_manager.cc.

76 {
77 return eglMakeCurrent(self->display, EGL_NO_SURFACE, EGL_NO_SURFACE,
78 self->render_context) == EGL_TRUE;
79 }

Referenced by cleanup_shader(), collect_opengl_backing_store(), create_opengl_backing_store(), fl_engine_gl_make_current(), and setup_shader().

## ◆ fl_opengl_manager_make_resource_current()

gboolean fl_opengl_manager_make_resource_current | ( | FlOpenGLManager * | manager | ) |

fl_opengl_manager_make_resource_current: @manager: an #FlOpenGLManager.

Makes the resource rendering context current.

Returns: TRUE if the context made current.

Definition at line 81 of file fl_opengl_manager.cc.

81 {
82 return eglMakeCurrent(self->display, EGL_NO_SURFACE, EGL_NO_SURFACE,
83 self->resource_context) == EGL_TRUE;
84 }

Referenced by fl_engine_gl_make_resource_current().

## ◆ G_DECLARE_FINAL_TYPE()

G_BEGIN_DECLS G_DECLARE_FINAL_TYPE | ( | FlOpenGLManager | ,
|  | fl_opengl_manager | ,
|  | FL | ,
|  | OPENGL_MANAGER | ,
|  | GObject |
| ) |  |

fl_opengl_manager_new:

Creates an object that allows Flutter to render by OpenGL ES.

Returns: a new #FlOpenGLManager.